/* TABLE OF CONTENTS

    base

*/

/* INFO

    This file requires the css prefix .loader
    This css file handles the styling for the loader
    This works for the loader used on all pages
*/

/* [START] BASE */
.loader .loading-progress {
    background-color: rgba(0,0,0,0.4) !important;
    /* background-color: black !important; */
}

.loader .loading-complete {
    opacity: 1;
    background-color: rgba(0,0,0,0.4) !important;
    /* background-color: black !important; */
    animation: fade-out 0.4s;
    animation-iteration-count: 1;
}

.loader .full-page{
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 1;
    /* background-color: rgba(0,0,0,1); */
    z-index: 99999;
}

.loader .page-center{
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 100px;
    height: 100px;
}

.loader .circle-loader,
.loader .circle-loader:after {
    border-radius: 50%;
    width: 10em;
    height: 10em;
}
.loader .circle-loader {
    margin: auto;
    font-size: 10px;
    position: relative;
    text-indent: -9999em;
    border-top: 1.1em solid rgba(255, 255, 255, 0.2);
    border-right: 1.1em solid rgba(255, 255, 255, 0.2);
    border-bottom: 1.1em solid rgba(255, 255, 255, 0.2);

    /* SPINNER COLOR */
    border-left: 1.1em solid #ffffff;

    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-animation: load 1.1s infinite linear;
    animation: load 1.1s infinite linear;
}

@keyframes fade-out {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

@-webkit-keyframes load {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@keyframes load {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}


/* [END] BASE */
